# Kurssin organisointi

Ohjelmistotuotanto TTOS1000 ja ohjelmistotuotannon käytännöt TTOS1200 muodostavat yhdessä projektimuotoisen opintojakson, jossa opiskelijoista muodostuvat projektiryhmä tuottaa tilaajan vaatimusten mukaisen tuotteen. 



### Yleinen aikataulu 2020

* Kurssi käynnistyy syyskuun 2020 aikana!
* Alkuvaiheessa keskitytään peruskäsitteisiin ja ammattilaisten puheenvuoroihin
* Syys/lokakuun aikana esitellään yritysten antamat projektit ja luodaan kiinnostuksen mukaan sopivat projektiryhmät
* Syysloman jälkeen käynnistetään projektityöskentely täysimääräisenä 3p/viikko
* Alkuvaiheessa projekti keskittyy vaatimusmäärittelyjen + projektisopimusten laadintaan ja keskittyy mahdollisimman pian työskentelyyn aiheen parissa.
* Marraskuun 2020 aikana pyritään siirtymään toteutustyöhön. Tiimit työskentelevät kolme päivää viikossa projektin parissa.

## Karkea aikataulu 

```plantuml
Project starts the 2020-9-2
[Aloitusviikko] Starts 2020-9-2 and ends 2020-9-7
[Vierailuluennot] Starts 2020-9-10 and ends 2020-10-8
[GT1 harjoitustehtava] Starts 2020-9-9 and ends 2020-10-1
[Kurssikoe] Starts 2020-10-10 and ends 2020-11-29
[Projektityoskentely vaihe] Starts 2020-10-21 and ends 2020-2-24
[Loppuseminaari] Starts 2020-3-3 and ends 2020-3-5
```

### Projekti jakautuu osakokonaisuuksiin:

**Syyskuu**

* Toimeksiantojen esivalinta
* Ryhmien muodostaminen
* Suullinen sopimus toimeksiannosta (Syyskuu)

**Lokakuu**

* Toimeksiantajan esittäytyminen (Syyskuussa 2020)
* Sopimuspohjien & mahdollisen vaitiolosopimuksen määrittely aloitetaan
* Esi-vaatimusmäärittelyn tuottaminen (lokakuu)
* Sopimusten allekirjoitus (Lokakuun)
* Perehdytys ja tutustuminen asiakkaan toimialaan / ongelmakenttään voidaan virallisesti aloittaa
* Muut asiakastapaamiset
* Sopimuksien allekirjoitus (lokakuu) 
* Tarkennettu vaatimusmäärittely + projektisuunnitelma
* Toteutuksen käynnistäminen (lokakuu+marraskuu)

**Marraskuu-helmikuu**

* Työskentelyä projektin parissa
* Välikatselmoinnit + palaverit
* Testaus
* Dokumentointi
* Tuotteen luovutus (maaliskuu 2018) 
* Loppuraportointi

**Maaliskuu**

* Seminaari
* Loppuraportin luovutus
* Henkilökohtainen oppimisraportti



### Ohjaajat & muut resurssit

Ohjaajina JAMKin IT-Instituutin puolesta toimivat seuraavat henkilöt:

* Kurssin vastaavana opettajana: Marko "NarsuMan" Rintamäki
* Ohjaaja Juho Pekki
* Vierailevat asiantuntijat

### Tiedonjako

* Labranet Gitlab ja TEAMS

## Kurssien välinen integraatio 

Ohjelmistotuotannonkurssi TTO1000 on integroitu vahvasti ohjelmistotuotannon menetelmien TTOS1200 kanssa.

Kurssien välillä painopisteet on jaettu seuraavasti:

* TTOS1000 (2 OP käsitekoe + 4 OP projektityöskentelyä)
* TTOS1200 (6 OP projektityöskentelyä)


Arvosana kirjataan vasta kun kumpikin kursseista on läpäisty.

* Hyväksytty [GT0-harjoitus](../harjoitustehtava-ja-koe/gt0-harjoitus.md) ja siihen liittyvä koe hyväksytty/hylätty = 2 ECTS
* Projekti kokonaisuus muodostaa 10 OP kokonaisuuden joka arvoidaan lopussa

### Harjoitustyöt 

* Kurssilla on pakollinen GT1-harjoitustyö ja siihen liittyvä koe

